0
Welcome Guest! Login
0 items Join Now

SOLVED Gantry and PHP 7.3.1 issue ?

    • Arnaud's Avatar
    • Arnaud
    • Sr. Rocketeer
    • Posts: 196
    • Thanks: 3

    SOLVED Gantry and PHP 7.3.1 issue ?

    Posted 5 months 4 days ago
    • Hi,

      I've updated MAMP today. The running PHP version is now 7.3.1.
      But this does not seem to work great with Gantry (any version including 5.4.29).
      I get the message in the Back End :
      FilesystemIterator::__construct(gantry-themes://): failed to open dir: "\Rockettheme\Toolbox\StreamWrapper\ReadOnlyStream::dir_opendir" call failed
      And the Gantry interface is broken.

      If I set PHP to 7.2.14 then it works again.

      Any idea of what's wrong ?

      Thanks.
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 86466
    • Thanks: 11145
    • Web Designer/Developer

    Re: SOLVED Gantry and PHP 7.3.1 issue ?

    Posted 5 months 4 days ago
    • Please would you post your URL, superuser id and pswd in the secure tab of your post and I'll have a look for you.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • Arnaud's Avatar
    • Arnaud
    • Sr. Rocketeer
    • Posts: 196
    • Thanks: 3

    Re: SOLVED Gantry and PHP 7.3.1 issue ?

    Posted 5 months 4 days ago
    • Well, like I said, I get this issue locally, with MAMP, so I can't post any live URL.
      And I wouldn't want to change a live site parameters so that it breaks !

      All I can do is to send you codes for a live site which has this issue locally (exactly the same site cause I did a backup today from live to local), but the live site hosting uses an older PHP version, so you won't see the problem. I guess this wouldn't be helpful ?
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 86466
    • Thanks: 11145
    • Web Designer/Developer

    Re: SOLVED Gantry and PHP 7.3.1 issue ?

    Posted 5 months 4 days ago
    • But you can make your local MAMP site internet accessible if you want to? See MAMP docs to learn how.

      it sounds like you don't have opendir configured in MAMP?

      Also check PHP memory limits is at least 128M

      If you can provide an Akkeba backup JPA file of your site I can load that on my own MAMP and see if it works.

      Also, check your .htaccess file is correct for your local installation.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • Arnaud's Avatar
    • Arnaud
    • Sr. Rocketeer
    • Posts: 196
    • Thanks: 3

    Re: SOLVED Gantry and PHP 7.3.1 issue ?

    Posted 5 months 4 days ago
    • Oh I didn't know that it was possible to share a local MAMP site. This could be very interesting when… asking RocketTheme for help ! But I guess it's only for MAMP PRO, right ?

      Thats weird, I really get this issue with every RT/Gantry site. Like a blank Callisto Rocket launcher site. Works with PHP 7.2.14. Broken with PHP 7.3.1. I'm only talking about the back end site, Gantry section. The front end seems to be OK.

      Maybe you could try this ?
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 86466
    • Thanks: 11145
    • Web Designer/Developer

    Re: SOLVED Gantry and PHP 7.3.1 issue ?

    Posted 5 months 3 days ago
    • Unfortunately I only have MAP PRO 4.1 for windows which does not currently support PHP7.3.1

      From the error message it would imply that you are running out of memory... so did you check PHP memory_limit is at least 128M? it looks to me like it's much smaller. Another thing that you can try is to change global config error level to "maximum" and see if that reveals any more error message. If you can't get in the backend to do this then just edit configuration.php in the joomla root directory manually.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • Kat05's Avatar
    • Kat05
    • Preeminent Rocketeer
    • Posts: 25898
    • Thanks: 332

    Re: SOLVED Gantry and PHP 7.3.1 issue ?

    Posted 5 months 3 days ago
    • Hi there,

      I had the same error that is shown on your callisto.png image on my local MAMP installation and with Matias' help I found a workaround for the issue.

      You need to edit the ini file of the php version you're using (in your case 7.3.1, in my case it was 7.3.3)

      Please see screenshot, if you change that last line accordingly, it should fix your issues. Make sure to restart MAMP after you've saved the change.

      ;Enables or disables JIT compilation of patterns. This requires the PCRE
      ;library to be compiled with JIT support.
      pcre.jit=0
    • Last Edit: 5 months 3 days ago by Kat05.
    • Kat05 / QA Lead & Support / Germany
    • Arnaud's Avatar
    • Arnaud
    • Sr. Rocketeer
    • Posts: 196
    • Thanks: 3

    Re: SOLVED Gantry and PHP 7.3.1 issue ?

    Posted 5 months 3 days ago
    • Mark,
      I'm afraid I don't know how to check PHP memory limit. I don't seem to have that option in MAMP. Or is it a file to edit ?

      Kat,
      Oh great, it works fine ! Thank you ! :-)
      Does it mean it's a MAMP issue ? Or a PHP issue ? Like a further update might fix it ?
      So I guess I would have to edit the same file on a hosting service using php 7.3 ?

      If I have a look at the latest Gantry changelog (pretty hard to find, I think someone should fix this) it says :
      Fixed PHP 7.3 issues in SCSS compilation
      Is that connected to my issue ?

      Arnaud
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 86466
    • Thanks: 11145
    • Web Designer/Developer

    Re: SOLVED Gantry and PHP 7.3.1 issue ?

    Posted 5 months 3 days ago
    • It's not a MAMP issue or a PHP issue, it's merely the configuration on your server (you happen to be using MAMP) that has not got the PCRE library with JIT support enabled. You would have to check with your hosting company to see if that is enabled on your target environment. We recently updated the SCSS compiler and some other products that we use but really it's about the default PHP config on your server.

      To check PHP memory limit your look in your PHP.ini file (which is a configurable option in MAMP - file > template > php > choose PHP version ini file.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • Arnaud's Avatar
    • Arnaud
    • Sr. Rocketeer
    • Posts: 196
    • Thanks: 3

    Re: SOLVED Gantry and PHP 7.3.1 issue ?

    Posted 5 months 3 days ago
    • Mark,

      I guess our MAMP versions are quite different (MAMP PRO 4.1 Windows vs MAMP 5.3 macOS).
      So if "file > template > php > choose PHP version ini file" is supposed to be a menu, that's something I don't have in my version.

      But I opened the WebStart page and clicked on phpinfo and then found that Memory Limit was set to 128 M.

      Sorry I don't have a pure dev profile (far from that), so some stuff sound a little abstract to me. So I don't see why it should be a server config issue, knowing that everything works fine with php 7.2 and then suddenly gets broken with php 7.3. Everything else is kept untouched. Just a change of php version in MAMP.

      I just had a look at the php.ini 7.2 file.
      It says :
      ;pcre.jit=1

      which is what Kat adviced me to change in the 7.3 file.

      I'm not sure why this line has to be changed in php 7.3 only, but it works.

Time to create page: 0.086 seconds